require 'rails'
require 'ostruct'

module RailsSettings
  def self.settings
    @settings
  end

  def self.load_settings
    @raw_config = YAML.load(File.read("#{Rails.root}/config/settings.yml"))
    @raw_settings = (@raw_config['global'] || {}).symbolize_keys.merge (@raw_config[Rails.env] || {}).symbolize_keys
    @settings = OpenStruct.new @raw_settings

    Kernel.const_set 'Settings', @settings
  end
end

require 'rails_settings/engine'
